;cur_drv.asm to return to clipper the current drive # (0 = A, 1 = B, etc.)
; Programmer:   Paul Bosselaers

.model large
.286

PUBLIC curDrv

include \clipper5\include\extasm.inc

.code
curDrv  proc    far
        push    bp                              ; save registers
        mov     bp,sp
        push    ds
        push    es
        push    di
        push    si

        mov     ah,19h                          ; get-default-drive function
        int     21h                             ; drive # in al
        xor     ah,ah                           ; zero out ah

        push    ax                              ; send it to clipper
        call    __retni
        add     sp,2

        pop     si                              ; restore registers
        pop     di
        pop     es
        pop     ds
        pop     bp
        ret
curDrv  endp
end
