; function GETDRIVE.ASM to get current drive.
; entry conditions: none
; exit conditions : returns drive letter to Clipper.
; Programmer:   Paul Bosselaers
; Date:         9/21/94

.model large                                    ; Clipper needs large model
.286

include \clipper5\include\extasm.inc            ; extend definitions

PUBLIC GETDRIVE

.data

drive   db      ?

.code

GETDRIVE proc    far
; save registers as required
        push    bp
        mov     bp,sp
        push    ds
        push    si
        push    di
        push    dx

; setup data segment
        mov     ax,@data
        mov     ds,ax

; find drive
        mov     ax,1900h
        int     21h                             ; DL has drive code (A=0,etc)
        add     al,41h                          ; convert to char ('A' = 41h)
        mov     drive,al
        jmp     short send_code

; return drive letter to clipper
send_code:
        mov     ax,1                            ; length of return string
        push    ax
        mov     dx, seg drive
        mov     ax,offset drive
        push    dx
        push    ax
        call    __retclen
        add     sp,6

;restore registers
        pop     dx
        pop     di
        pop     si
        pop     ds
        pop     bp
        ret
GETDRIVE endp
end

