; function RD.ASM to remove directory
; gets path from Clipper
; Returns Logical True (1) if successful, logical false (0) if not.
; Programmer: Paul Bosselaers
; Date:       9/21/94
; updated 10/20/97 to try to use Windows 95 (DOS 7.0) long filename first
; Note: Windows 95 stuff does not work in protected mode as written
; seems to work ok in real mode though

.model large
.286

include \clipper5\include\extasm.inc            ; extend definitions

PUBLIC RD

.code
RD      proc    far
; save registers as required
        push    bp
        mov     bp,sp
        push    ds
        push    si
        push    di
        push    dx

; check if any parameter was passed
        xor     ax,ax
        push    ax
        call    __parinfo
        add     sp,2
        or      ax,ax
        jz      error

; get file spec. from clipper, dx has segment, ax has offset
        mov     ax,1
        push    ax
        call    __parc
        add     sp,2
        push    ds
        mov     ds,dx
        mov     dx,ax

        stc                             ; set carry flag for versions < 7.0
        mov     ax,713Ah                ; remove directory with long filename
        int     21h
        jnc     good_exit               ; ok
        cmp     ax,7100h                ; if ax=7100h try old dos function
        jne     error                   ; otherwise abort

old_dos:
        mov     ah,3Ah                  ; remove-directory function
        int     21h                     ; remove directory
        jc      error

good_exit:
; set code for good exit
        mov     ax,0001
        jmp     short send_code

; set code for error
error:
        xor     ax,ax                           ; ax = 0

; return error code to clipper
send_code:
        pop     ds
        push    ax
        call    __retl
        add     sp,2

;restore registers
        pop     dx
        pop     di
        pop     si
        pop     ds
        pop     bp
        ret
RD      endp
end

        

