; function CAPS_OFF.ASM to turn off Caps Lock
; Entry conditions: none
; Returns nothing
; Programmer: Paul Bosselaers
; Date:       2/08/95

.model large
.286
include \clipper5\include\extasm.inc            ; extend definitions

PUBLIC CAPS_OFF

.code
CAPS_OFF      proc    far
; save registers as required
        push    bp
        mov     bp,sp
        push    ds
        push    si
        push    di
        push    bx

; do it
        mov     bx,40h                  ; point DS to the BIOS data area
        mov     ds,bx                   ; 
        MOV     bx,17h                  ; point to keyboard status flags
        and     byte ptr [bx], 0BFh     ; turn CAPS lock off

        call    __ret                   ; return NIL to Clipper

;restore registers
        pop     bx
        pop     di
        pop     si
        pop     ds
        pop     bp
        ret
CAPS_OFF      endp
end


