; function FCOMMIT.ASM to flush buffer for desired handle.
; entry conditions: file handle from Clipper
; exit conditions : logical true if successful, logical false if not
; Programmer:   Paul Bosselaers
; Date:         10/03/94

.model large                                    ; Clipper needs large model
.286

include \clipper5\include\extasm.inc            ; extend definitions

PUBLIC FCOMMIT

.code

FCOMMIT proc    far
; save registers as required
        push    bp
        mov     bp,sp
        push    ds
        push    si
        push    di
        push    bx

; check if any parameter was passed
        xor     ax,ax
        push    ax
        call    __parinfo
        add     sp,2
        or      ax,ax
        jz      error

; get handle from clipper in ax
        mov     ax,1
        push    ax
        call    __parni
        add     sp,2
        mov     bx,ax

; now flush buffer
        mov     ah,68h
        int     21h
        jc      error
        mov     ax,0001
        jmp     short send_code

error:
        xor     ax,ax

send_code:
        push    ax
        call    __retl
        add     sp,2

;restore registers
        pop     bx
        pop     di
        pop     si
        pop     ds
        pop     bp
        ret
FCOMMIT endp
end

