; function NUM_OFF.ASM to turn off Num Lock
; Entry conditions: none
; Returns nothing
; Programmer: Paul Bosselaers
; Date:       2/07/95

.model large
.286

include \clipper5\include\extasm.inc            ; extend definitions

PUBLIC NUM_OFF

.code
NUM_OFF      proc    far
; save registers as required
        push    bp
        mov     bp,sp
        push    ds
        push    si
        push    di
        push    bx

; do it
        mov     bx,40h                  ; point DS to the BIOS data area
        mov     ds,bx                   ; 
        MOV     bx,17h                  ; point to keyboard status flags
        and     byte ptr [bx], 0DFh     ; turn num lock off

        call    __ret                   ; return NIL to Clipper

;restore registers
        pop     bx
        pop     di
        pop     si
        pop     ds
        pop     bp
        ret
NUM_OFF      endp
end


