; function NUM_ON.ASM to turn on Num Lock
; Entry conditions: none
; Returns nothing
; Programmer: Paul Bosselaers
; Date:       2/07/95

.model large
.286

include \clipper5\include\extasm.inc            ; extend definitions

PUBLIC NUM_ON

.code
NUM_ON      proc    far
; save registers as required
        push    bp
        mov     bp,sp
        push    ds
        push    si
        push    di
        push    bx

; do it
        mov     bx,40h                  ; point DS to the BIOS data area
        mov     ds,bx                   ; 
        mov     bx,17h                  ; point to keyboard status flags
        or      byte ptr [bx], 020h     ; turn num lock on

        call    __ret                   ; return NIL to Clipper

;restore registers
        pop     bx
        pop     di
        pop     si
        pop     ds
        pop     bp
        ret
NUM_ON      endp
end


