; procedure SETBORDER to set border to color passed to it by Clipper 5.2
; Programmer:   Paul Bosselaers
; Date:         7/17/94

.model large
.286

include \clipper5\include\extasm.inc            ; extend system definitions

PUBLIC SETBORDER

.code

SETBORDER       proc    far
;save registers as required
        push    bp
        mov     bp,sp
        push    ds
        push    si
        push    di
        push    bx

; see if parameter was passed
        xor     ax,ax
        push    ax
        call    __parinfo
        add     sp,2
        cmp     ax,0                            ; if no param. passed exit        
        je      go_home

; get color from clipper
        mov     ax,1
        push    ax
        call    __parni
        add     sp,2

; setup for BIOS call
        mov     bx,ax                           ; move color to bx
        mov     ah,0Bh
        xor     bh,bh                           ; bh = 0, means set border
        int     10h

; restore registers
go_home:
        pop     bx
        pop     di
        pop     si
        pop     ds
        pop     bp
        ret
SETBORDER       endp
end
